Support » Plugins » Error activating Breadcrumb NavXT

  • I’m getting an error activating the Breadcrumb NavXT.
    I didn’t have any errors using this on my localhost (MAMP) or on Bluehost.

    It’s a WordPress installation on 1and1.

    Here’s the error:

    Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or ‘}’ in /homepages/15/d331245769/htdocs/wp-content/plugins/breadcrumb-navxt/breadcrumb_navxt_admin.php on line 57

    Help?

Viewing 2 replies - 1 through 2 (of 2 total)
  • That type of error generally comes from problems directly in the code. Perhaps try deleting the plugin and re-uploading/re-installing it.

    Other plugins, or broken core scripts could possibly be affecting it. You may want to try a test WordPress installation in a test folder, and see if you can install your breadcrumb plugin in that test folder.

    e

    (@xaviesteve)

    Hi lilblogger,

    1and1 uses PHP4 by default and Breadcrumb NavXT needs PHP5.

    The solution is to add:

    AddType x-mapp-php5 .php
    AddHandler x-mapp-php5 .php

    Into your .htaccess file. This will force 1and1 to use PHP5 and will fix the plugin error.

    Cheers,
    Xavi

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Error activating Breadcrumb NavXT’ is closed to new replies.